import { RustbinConfig } from '@metaplex-foundation/rustbin';
import { Idl, Serializers, TypeAliases } from '../types';
export { RustbinConfig };
export declare type SolitaConfigBase = {
    programName: string;
    idlDir: string;
    sdkDir: string;
    binaryInstallDir: string;
    programDir: string;
    idlHook?: (idl: Idl) => Idl;
    rustbin?: RustbinConfig;
    typeAliases?: TypeAliases;
    serializers?: Serializers;
    removeExistingIdl?: boolean;
};
export declare type SolitaConfigAnchor = SolitaConfigBase & {
    idlGenerator: 'anchor';
    programId: string;
    anchorRemainingAccounts?: boolean;
};
export declare type SolitaConfigShank = SolitaConfigBase & {
    idlGenerator: 'shank';
};
export declare type SolitaConfig = SolitaConfigAnchor | SolitaConfigShank;
export declare type SolitaHandlerResult = {
    exitCode: number;
    errorMsg?: string;
};
export declare function isSolitaConfigAnchor(config: SolitaConfig): config is SolitaConfigAnchor;
export declare function isSolitaConfigShank(config: SolitaConfig): config is SolitaConfigShank;
export declare function isErrorResult(result: SolitaHandlerResult): result is SolitaHandlerResult & {
    errorMsg: string;
};
